summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorBen Lindstrom <mouring@eviladmin.org>2000-11-07 16:41:41 +0000
committerBen Lindstrom <mouring@eviladmin.org>2000-11-07 16:41:41 +0000
commit89ef41a7848612af76b477b9018d178e38edb415 (patch)
tree6d13b4e5f86a3ee0635c238e9a8a6b83cf270544 /contrib
parentdf4a7aee788cb35d50ea049c490c16ea257c4496 (diff)
- (bal) acconfig.in - removed the double "USE_PIPES" entry. Patch by
Mark Miller <markm@swoon.net> - (bal) sshd.init files corrected to assign $? to RETVAL. Patch by Jarno Huuskonen <jhuuskon@messi.uku.fi>
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/redhat/sshd.init1
-rwxr-xr-xcontrib/redhat/sshd.init-5.x1
2 files changed, 2 insertions, 0 deletions
diff --git a/contrib/redhat/sshd.init b/contrib/redhat/sshd.init
index 83c10a88..41f98ad8 100755
--- a/contrib/redhat/sshd.init
+++ b/contrib/redhat/sshd.init
@@ -72,6 +72,7 @@ case "$1" in
echo -n "Shutting down sshd: "
if [ -f $PID_FILE ] ; then
killproc sshd
+ RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sshd
fi
echo
diff --git a/contrib/redhat/sshd.init-5.x b/contrib/redhat/sshd.init-5.x
index e836b691..51ded933 100755
--- a/contrib/redhat/sshd.init-5.x
+++ b/contrib/redhat/sshd.init-5.x
@@ -39,6 +39,7 @@ case "$1" in
echo -n "Shutting down sshd: "
if [ -f /var/run/sshd.pid ] ; then
killproc sshd
+ RETVAL=$?
fi
echo
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/sshd